Subject: bug#38088: Guix system becomes unresponsive after backtrace

From: Gábor Boskovits <[email-masked]>
Date: Wed, 6 Nov 2019 23:40:10 +0100

Hello,

Ludovic Courtès <[email-masked]> ezt írta (időpont: 2019. nov. 6., Sze, 18:42):
>
> Hi Gábor,
>
> Gábor Boskovits <[email-masked]> skribis:
>
> > I did not know how to get the info better, so here is a screenshot
> > about the situation.
> >
> > This happened when I was trying a pre-inst-env guix build from a
> > core-updates checkout.
> > Previously python3 failed to build, and I was trying to build it again.
>
> From the screenshot, it seems that your root file system (or at least
> /tmp and /gnu/store) became read-only, which in turn caused various
> things to fail, including guix-daemon (hence the “broken pipe” when
> ‘guix build’ was talking to it, I suppose.)

Yes, it also became corrupted. fsck on boot fixed it.
Since then it works happily again...

>
> Could you check what happened on your machine?  Do /var/log/messages and
> /var/log/guix-daemon.log contain any hints?

No idea actually, I don't see anything really suspicious, but it might
well be that it just refused
to write to the logs also...

> Thanks,
> Ludo’.

Regards,
g_bor
-- 
OpenPGP Key Fingerprint: 7988:3B9F:7D6A:4DBF:3719:0367:2506:A96C:CF63:0B21